package ecp.vcs.com.ecpsyncplugin.re_sync.utils;

public class SyncErrorCode {

    public static final int ERROR_101=101;
    public static final int ERROR_102=102;
    public static final int ERROR_103=103;
    public static final int ERROR_104=104;
    public static final int ERROR_105_1=1051;
    public static final int ERROR_105_2=1052;
    public static final int ERROR_106=106;
    public static final int ERROR_107=107;
    public static final int ERROR_108=108;
    public static int ERROR_109=109;
    public static final int ERROR_110=110;

    public static final int ERROR_151=151;//IOException for URLConnection
    public static final int ERROR_152=152;//IOException while getting or initializing InputStream
    public static final int ERROR_153=153;//Other Error while getting or initializing InputStream
    public static final int ERROR_154=154;//FileNotFoundException While Reading File or No such file available
    public static final int ERROR_155=155;//Other Exception While Reading File from the path
    public static final int ERROR_156=156;//Other Exception While Reading File from the path

//    Error Code While Downloading Sync File After Sync Successful Response
    public static final String SYNC_ERROR_151="151";//IOException for URLConnection
    public static final String SYNC_ERROR_152="152";//File Not Found IOException while getting or initializing InputStream
    public static final String SYNC_ERROR_153="153";//Other Error while getting or initializing InputStream
    public static final String SYNC_ERROR_154="154";//FileNotFoundException While Reading File or No such file available
    public static final String SYNC_ERROR_155="155";//Other Exception While Reading File from the path
    public static final String SYNC_ERROR_156="156";//Other Exception While Reading File from the path
    public static final String SYNC_ERROR_157="157";//No transaction data available for auto sync

    public static final String SYNC_ERROR_MSG_103="File Does not Exists on Device";//Other Exception While Reading File from the path
    public static final String SYNC_ERROR_MSG_102="File Not generated";//Other Exception While Reading File from the path
    public static final String SYNC_ERROR_MSG_157="No Data Available";//For Auto Sync



    // Used For Version Update
    public static final String UPDATE_VERSION="211";

    public static final String ERROR_CODE_311="311";//startSync method
    public static final String ERROR_CODE_312="312";//onFileUploadSuccess Error While Conversion
    public static final String ERROR_CODE_313="313";
    public static final String ERROR_CODE_314="314";


    //For File Upload
    public static final String ERROR_501="501";


}
